commit:     2666153bdd627858efa635a27bd7cf06f47f8b69
Author:     Sobhan Mohammadpour <sobhan <AT> gentoo <DOT> org>
AuthorDate: Sat Feb  3 20:32:45 2018 +0000
Commit:     Sobhan Mohammadpour <sobhan <AT> gentoo <DOT> org>
CommitDate: Sat Feb  3 20:32:45 2018 +0000
URL:        https://gitweb.gentoo.org/proj/gnome.git/commit/?id=2666153b

gnome-base/gnome-shell: version bump to 3.26.1

Package-Manager: Portage-2.3.23, Repoman-2.3.6
Manifest-Sign-Key: 0x7DF238CF0AA182E1

 .../files/gnome-shell-3.22.0-defaults.patch        |  26 +++
 gnome-base/gnome-shell/gnome-shell-3.26.1.ebuild   | 191 +++++++++++++++++++++
 gnome-base/gnome-shell/metadata.xml                |   4 +
 3 files changed, 221 insertions(+)

diff --git a/gnome-base/gnome-shell/files/gnome-shell-3.22.0-defaults.patch 
b/gnome-base/gnome-shell/files/gnome-shell-3.22.0-defaults.patch
new file mode 100644
index 00000000..b80dbc3a
--- /dev/null
+++ b/gnome-base/gnome-shell/files/gnome-shell-3.22.0-defaults.patch
@@ -0,0 +1,26 @@
+From 7a671f99b7ef2d5f38be67668aac762764b32a42 Mon Sep 17 00:00:00 2001
+From: Gilles Dartiguelongue <[email protected]>
+Date: Tue, 10 Dec 2013 23:33:51 +0100
+Subject: [PATCH 1/2] Alter list of default applications
+
+Signed-off-by: Gilles Dartiguelongue <[email protected]>
+---
+ data/org.gnome.shell.gschema.xml.in | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/data/org.gnome.shell.gschema.xml.in 
b/data/org.gnome.shell.gschema.xml.in
+index c1e6b21..368c654 100644
+--- a/data/org.gnome.shell.gschema.xml.in
++++ b/data/org.gnome.shell.gschema.xml.in
+@@ -31,7 +31,7 @@
+       </description>
+     </key>
+     <key name="favorite-apps" type="as">
+-      <default>[ 'epiphany.desktop', 'evolution.desktop', 
'rhythmbox.desktop', 'shotwell.desktop', 'org.gnome.Nautilus.desktop', 
'org.gnome.Software.desktop' ]</default>
++      <default>[ 'chromium-browser-chromium.desktop', 'firefox.desktop', 
'firefox-bin.desktop', 'evolution.desktop', 'rhythmbox.desktop', 
'shotwell.desktop', 'org.gnome.Nautilus.desktop', 'org.gnome.Software.desktop' 
]</default>
+       <summary>List of desktop file IDs for favorite applications</summary>
+       <description>
+         The applications corresponding to these identifiers
+-- 
+2.10.1
+

diff --git a/gnome-base/gnome-shell/gnome-shell-3.26.1.ebuild 
b/gnome-base/gnome-shell/gnome-shell-3.26.1.ebuild
new file mode 100644
index 00000000..34c076ae
--- /dev/null
+++ b/gnome-base/gnome-shell/gnome-shell-3.26.1.ebuild
@@ -0,0 +1,191 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+GNOME2_EAUTORECONF="yes"
+PYTHON_COMPAT=( python{3_4,3_5} )
+
+inherit gnome-meson multilib pax-utils python-r1 systemd
+
+DESCRIPTION="Provides core UI functions for the GNOME 3 desktop"
+HOMEPAGE="https://wiki.gnome.org/Projects/GnomeShell";
+
+LICENSE="GPL-2+ LGPL-2+"
+SLOT="0"
+IUSE="+bluetooth +browser-extension +ibus +networkmanager nsplugin 
-openrc-force"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+KEYWORDS="~amd64 ~ia64 ~ppc ~ppc64 ~x86"
+
+# libXfixes-5.0 needed for pointer barriers
+# FIXME:
+#  * gstreamer support is currently automagic
+#  * gnome-bluetooth is automagic
+#  * BROWSER_PLUGIN_DIR is not set
+COMMON_DEPEND="
+       >=app-accessibility/at-spi2-atk-2.5.3
+       >=dev-libs/atk-2[introspection]
+       >=app-crypt/gcr-3.7.5[introspection]
+       >=dev-libs/glib-2.53:2[dbus]
+       >=dev-libs/gjs-1.47.0
+       >=dev-libs/gobject-introspection-1.49.1:=
+       dev-libs/libical:=
+       >=x11-libs/gtk+-3.15.0:3[introspection]
+       >=dev-libs/libcroco-0.6.8:0.6
+       >=gnome-base/gnome-desktop-3.7.90:3=[introspection]
+       >=gnome-base/gsettings-desktop-schemas-3.21.3
+       >=gnome-extra/evolution-data-server-3.17.2:=
+       >=media-libs/gstreamer-0.11.92:1.0
+       >=net-im/telepathy-logger-0.2.4[introspection]
+       >=net-libs/telepathy-glib-0.19[introspection]
+       >=sys-auth/polkit-0.100[introspection]
+       >=x11-libs/libXfixes-5.0
+       x11-libs/libXtst
+       >=x11-wm/mutter-3.26.0:0/0[introspection]
+       >=x11-libs/startup-notification-0.11
+
+       ${PYTHON_DEPS}
+       dev-python/pygobject:3[${PYTHON_USEDEP}]
+
+       dev-libs/dbus-glib
+       dev-libs/libxml2:2
+       media-libs/libcanberra[gtk3]
+       media-libs/mesa
+       >=media-sound/pulseaudio-2
+       >=net-libs/libsoup-2.40:2.4[introspection]
+       x11-libs/libX11
+       x11-libs/gdk-pixbuf:2[introspection]
+
+       x11-apps/mesa-progs
+
+       bluetooth? ( >=net-wireless/gnome-bluetooth-3.9[introspection] )
+       networkmanager? (
+               >=app-crypt/libsecret-0.18
+               >=gnome-extra/nm-applet-0.9.8
+               >=net-misc/networkmanager-0.9.8:=[introspection] )
+       nsplugin? ( >=dev-libs/json-glib-0.13.2 )
+"
+# Runtime-only deps are probably incomplete and approximate.
+# Introspection deps generated using:
+#  grep -roe "imports.gi.*" gnome-shell-* | cut -f2 -d: | sort | uniq
+# Each block:
+# 1. Introspection stuff needed via imports.gi.*
+# 2. gnome-session is needed for gnome-session-quit
+# 3. Control shell settings
+# 4. Systemd needed for suspending support
+# 5. xdg-utils needed for xdg-open, used by extension tool
+# 6. adwaita-icon-theme and dejavu font neeed for various icons & arrows
+# 7. mobile-broadband-provider-info, timezone-data for shell-mobile-providers.c
+# 8. IBus is needed for nls integration
+RDEPEND="${COMMON_DEPEND}
+       app-accessibility/at-spi2-core:2[introspection]
+       >=app-accessibility/caribou-0.4.8
+       dev-libs/libgweather:2[introspection]
+       >=sys-apps/accountsservice-0.6.14[introspection]
+       >=sys-power/upower-0.99:=[introspection]
+       x11-libs/pango[introspection]
+
+       >=gnome-base/gnome-session-2.91.91
+       >=gnome-base/gnome-settings-daemon-3.8.3
+
+       !openrc-force? ( >=sys-apps/systemd-31 )
+
+       x11-misc/xdg-utils
+
+       media-fonts/dejavu
+       >=x11-themes/adwaita-icon-theme-3.19.90
+
+       networkmanager? (
+               net-misc/mobile-broadband-provider-info
+               sys-libs/timezone-data )
+       ibus? ( >=app-i18n/ibus-1.4.99[dconf(+),gtk,introspection] )
+"
+# avoid circular dependency, see bug #546134
+PDEPEND="
+       >=gnome-base/gdm-3.5[introspection]
+       
>=gnome-base/gnome-control-center-3.8.3[bluetooth(+)?,networkmanager(+)?]
+       browser-extension? ( gnome-extra/chrome-gnome-shell )
+"
+DEPEND="${COMMON_DEPEND}
+       dev-libs/libxslt
+       >=dev-util/gdbus-codegen-2.45.3
+       >=dev-util/gtk-doc-am-1.17
+       gnome-base/gnome-common
+       sys-devel/autoconf-archive
+       >=sys-devel/gettext-0.19.6
+       virtual/pkgconfig
+"
+
+PATCHES=(
+       # Change favorites defaults, bug #479918
+       "${FILESDIR}"/${PN}-3.22.0-defaults.patch
+       # Fix automagic gnome-bluetooth dep, bug #398145
+)
+
+src_configure() {
+       gnome-meson_src_configure \
+               -Denable-man=true \
+               -Denable-documentation=false \
+               -Denable-systemd=$(usex !openrc-force yes no) \
+               -Denable-networkmanager=$(usex networkmanager yes no) \
+               $(meson_use nsplugin enable-browser-plugin) 
+}
+
+src_install() {
+       gnome-meson_src_install
+       python_replicate_script "${ED}/usr/bin/gnome-shell-extension-tool"
+       python_replicate_script "${ED}/usr/bin/gnome-shell-perf-tool"
+
+       # Required for gnome-shell on hardened/PaX, bug #398941
+       # Future-proof for >=spidermonkey-1.8.7 following polkit's example
+       if has_version '<dev-lang/spidermonkey-1.8.7'; then
+               pax-mark mr "${ED}usr/bin/gnome-shell"{,-extension-prefs}
+       elif has_version '>=dev-lang/spidermonkey-1.8.7[jit]'; then
+               pax-mark m "${ED}usr/bin/gnome-shell"{,-extension-prefs}
+       # Required for gnome-shell on hardened/PaX #457146 and #457194
+       # PaX EMUTRAMP need to be on
+       elif has_version '>=dev-libs/libffi-3.0.13[pax_kernel]'; then
+               pax-mark E "${ED}usr/bin/gnome-shell"{,-extension-prefs}
+       else
+               pax-mark m "${ED}usr/bin/gnome-shell"{,-extension-prefs}
+       fi
+}
+
+pkg_postinst() {
+       gnome-meson_pkg_postinst
+
+       if ! has_version 'media-libs/gst-plugins-good:1.0' || \
+          ! has_version 'media-plugins/gst-plugins-vpx:1.0'; then
+               ewarn "To make use of GNOME Shell's built-in screen recording 
utility,"
+               ewarn "you need to either install 
media-libs/gst-plugins-good:1.0"
+               ewarn "and media-plugins/gst-plugins-vpx:1.0, or use 
dconf-editor to change"
+               ewarn "apps.gnome-shell.recorder/pipeline to what you want to 
use."
+       fi
+
+       if ! has_version "media-libs/mesa[llvm]"; then
+               elog "llvmpipe is used as fallback when no 3D acceleration"
+               elog "is available. You will need to enable llvm USE for"
+               elog "media-libs/mesa if you do not have hardware 3D setup."
+       fi
+
+       # https://bugs.gentoo.org/show_bug.cgi?id=563084
+       if has_version "x11-drivers/nvidia-drivers[-kms]"; then
+               ewarn "You will need to enable kms support in 
x11-drivers/nvidia-drivers,"
+               ewarn "otherwise Gnome will fail to start"
+       fi
+
+       if ! systemd_is_booted; then
+               ewarn "${PN} needs Systemd to be *running* for working"
+               ewarn "properly. Please follow this guide to migrate:"
+               ewarn "https://wiki.gentoo.org/wiki/Systemd";
+       fi
+
+       if use openrc-force; then
+               ewarn "You are enabling 'openrc-force' USE flag to skip systemd 
requirement,"
+               ewarn "this can lead to unexpected problems and is not 
supported neither by"
+               ewarn "upstream neither by Gnome Gentoo maintainers. If you 
suffer any problem,"
+               ewarn "you will need to disable this USE flag system wide and 
retest before"
+               ewarn "opening any bug report."
+       fi
+}

diff --git a/gnome-base/gnome-shell/metadata.xml 
b/gnome-base/gnome-shell/metadata.xml
index d312bdad..3d91d2b5 100644
--- a/gnome-base/gnome-shell/metadata.xml
+++ b/gnome-base/gnome-shell/metadata.xml
@@ -6,6 +6,10 @@
        <name>Gentoo GNOME Desktop</name>
 </maintainer>
 <use>
+       <flag name="browser-extension">Ensure the presence of 
extensions.gnome.org
+               native connector 
<pkg>gnome-extra/chrome-gnome-shell</pkg></flag>
+       <flag name="ibus">Enable support for enhanced input methods through
+               <pkg>app-i18n/ibus</pkg></flag>
        <flag name="openrc-force">Skip systemd dependency (#480336),
                enabling this flag will become your setup to be fully
                unsupported by upstream and downstream Gnome team. Do not

Reply via email to